Bug 150879 - [NEW PORT] sysutils/downtimed: System downtime monitoring and reporting tool
Summary: [NEW PORT] sysutils/downtimed: System downtime monitoring and reporting tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steven Kreuzer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-23 10:40 UTC by Janne Snabb
Modified: 2010-12-23 16:50 UTC (History)
0 users

See Also:


Attachments
downtimed-0.2.shar (4.08 KB, text/plain)
2010-09-23 10:40 UTC, Janne Snabb
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Janne Snabb 2010-09-23 10:40:01 UTC
downtimed is a program that monitors operating system downtime, uptime,
shutdowns and crashes and keeps records of those events.

downtimed(8) is a daemon process which is intended to be started
automatically from system boot scripts every time when the operating
system of a server starts. First the daemon logs its findings about the
previous downtime to a specified logging destination as well as in a
database file which can be displayed with downtimes(1). After that the
daemon just keeps waiting in the background and periodically updates
a time stamp file on the disk.

downtimes(1) is a command-line tool which can be used to inspect previous
downtime records.

WWW:	http://dist.epipe.com/downtimed/

Generated with FreeBSD Port Tools 0.99
Comment 1 Janne Snabb 2010-10-26 10:29:34 UTC
Version 0.3 of downtimed fixes manual page formatting on FreeBSD and
other OSes.

Please apply the patch below before committing. I hope it does not
get mangled.

--
Janne Snabb / EPIPE Communications
snabb@epipe.com - http://epipe.com/


=== modified file 'Makefile'
--- Makefile	2010-09-22 15:31:26 +0000
+++ Makefile	2010-10-26 09:19:22 +0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	downtimed
-PORTVERSION=	0.2
+PORTVERSION=	0.3
 CATEGORIES=	sysutils
 MASTER_SITES=	http://dist.epipe.com/${PORTNAME}/ \
 		http://launchpadlibrarian.net/56261240/

=== modified file 'distinfo'
--- distinfo	2010-09-22 14:56:42 +0000
+++ distinfo	2010-10-26 09:19:22 +0000
@@ -1,3 +1,3 @@
-MD5 (downtimed-0.2.tar.xz) = 7fd24af6479247c43d6078c59205d010
-SHA256 (downtimed-0.2.tar.xz) = 4ffd52e9b0dcc4513687ce0d9cfcd139732692001ba246a2552087ac80404e07
-SIZE (downtimed-0.2.tar.xz) = 73608
+MD5 (downtimed-0.3.tar.xz) = 007b41a4ee905499e24b7cbb59940a11
+SHA256 (downtimed-0.3.tar.xz) = 864004cafb04bf45666b4797f0f7806110284fa8bac5d58ac6d359aa36392447
+SIZE (downtimed-0.3.tar.xz) = 74264
Comment 2 Janne Snabb 2010-10-26 10:47:21 UTC
Oops, it seems that the launchpad download URL changes with every 
release. Please apply this patch before comitting instead of the
previous one.

--
Janne Snabb / EPIPE Communications
snabb@epipe.com - http://epipe.com/

=== modified file 'Makefile'
--- Makefile	2010-09-22 15:31:26 +0000
+++ Makefile	2010-10-26 09:44:54 +0000
@@ -6,10 +6,10 @@
 #
 
 PORTNAME=	downtimed
-PORTVERSION=	0.2
+PORTVERSION=	0.3
 CATEGORIES=	sysutils
 MASTER_SITES=	http://dist.epipe.com/${PORTNAME}/ \
-		http://launchpadlibrarian.net/56261240/
+		http://launchpadlibrarian.net/58217312/
 DISTNAME=	${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	snabb@epipe.com

=== modified file 'distinfo'
--- distinfo	2010-09-22 14:56:42 +0000
+++ distinfo	2010-10-26 09:19:22 +0000
@@ -1,3 +1,3 @@
-MD5 (downtimed-0.2.tar.xz) = 7fd24af6479247c43d6078c59205d010
-SHA256 (downtimed-0.2.tar.xz) = 4ffd52e9b0dcc4513687ce0d9cfcd139732692001ba246a2552087ac80404e07
-SIZE (downtimed-0.2.tar.xz) = 73608
+MD5 (downtimed-0.3.tar.xz) = 007b41a4ee905499e24b7cbb59940a11
+SHA256 (downtimed-0.3.tar.xz) = 864004cafb04bf45666b4797f0f7806110284fa8bac5d58ac6d359aa36392447
+SIZE (downtimed-0.3.tar.xz) = 74264
Comment 3 Steven Kreuzer freebsd_committer 2010-12-22 16:42:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skreuzer

I'll take it.
Comment 4 dfilter service freebsd_committer 2010-12-23 16:41:25 UTC
skreuzer    2010-12-23 16:41:19 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/downtimed   Makefile distinfo pkg-descr pkg-message 
                         pkg-plist 
    sysutils/downtimed/files downtimed.in 
  Log:
  downtimed is a program that monitors operating system downtime, uptime,
  shutdowns and crashes and keeps records of those events.
  
  PR:             ports/150879
  Submitted by:   Janne Snabb <snabb@epipe.com>
  
  Revision  Changes    Path
  1.1255    +1 -0      ports/sysutils/Makefile
  1.1       +30 -0     ports/sysutils/downtimed/Makefile (new)
  1.1       +2 -0      ports/sysutils/downtimed/distinfo (new)
  1.1       +36 -0     ports/sysutils/downtimed/files/downtimed.in (new)
  1.1       +15 -0     ports/sysutils/downtimed/pkg-descr (new)
  1.1       +13 -0     ports/sysutils/downtimed/pkg-message (new)
  1.1       +4 -0      ports/sysutils/downtimed/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Steven Kreuzer freebsd_committer 2010-12-23 16:41:38 UTC
State Changed
From-To: open->closed

Committed. Thanks!